# std::deque::back

From cppreference.com
< cpp‎ | container‎ | deque

reference back(); |  |
const_reference back() const; |  |

Returns reference to the last element in the container.

Calling `back` on an empty container is undefined.

### Parameters

(none)

### Return value

Reference to the last element.

### Complexity

Constant.

### Notes

For a container `c`, the expression return c.back(); is equivalent to { auto tmp = c.end(); --tmp; return *tmp; }

### Example

The following code uses `back` to display the last element of a std::deque<char>:

Run this code

    #include <deque>
    #include <iostream>

    int main()
    {
        std::deque<char> letters {'o', 'm', 'g', 'w', 't', 'f'};
        if (!letters.empty()) {
            std::cout << "The last character is: " << letters.back() << '\n';
        }
    }

Output:

    The last character is f

### See also

front | access the first element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/deque/back&oldid=50450"